# Interface methods for submodule: SymmetricForcesDemonsRegistrationFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PDEDeformableRegistrationFilterProxy as _PDEDeformableRegistrationFilterProxy


# Interface methods for class: SymmetricForcesDemonsRegistrationFilter
class SymmetricForcesDemonsRegistrationFilterProxy(_PDEDeformableRegistrationFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMetric(self) -> float:
		""""""
		...

	def GetRMSChange(self) -> float:
		""""""
		...

	def SetIntensityDifferenceThreshold(self, arg0: float) -> None:
		""""""
		...

	def GetIntensityDifferenceThreshold(self) -> float:
		""""""
		...

